from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XRowSetListener(XEventListener, Protocol):
    def cursorMoved(self, event: EventObject) -> None: ...
    def rowChanged(self, event: EventObject) -> None: ...
    def rowSetChanged(self, event: EventObject) -> None: ...
